
const key = CryptoJS.enc.Utf8.parse("U0zFQfHa705vesot");  //十六位十六进制数作为密钥
const iv = CryptoJS.enc.Utf8.parse('fAARvRUd6UsxBax2');   //十六位十六进制数作为密钥偏移量


// 使用的是CBC模式

/**
 * AES加密
 * @param {*} data 
 */
 const aesEncrypt = (word) => {
    const srcs = CryptoJS.enc.Utf8.parse(word);
    const encrypted = CryptoJS.AES.encrypt(srcs, key, { iv: iv, mode: CryptoJS.mode.CBC, padding: CryptoJS.pad.Pkcs7 });
    const encryptedHexStr = CryptoJS.enc.Hex.parse(encrypted.ciphertext.toString());
    return CryptoJS.enc.Base64.stringify(encryptedHexStr);
}


/**
 * AES解密
 * @param {*} data 
 */
 const aesDecrypt = (word) => {
    const decrypt = CryptoJS.AES.decrypt(word, key, { iv: iv, mode: CryptoJS.mode.CBC, padding: CryptoJS.pad.Pkcs7 });
    const decryptedStr = decrypt.toString(CryptoJS.enc.Utf8);
    return decryptedStr.toString();
}

/**
 * 随机生成指定数量的16进制key
 * @param {*} num 
 * @returns 
 */
 const generatekey = (num) => {
    const library = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789";
    let key = "";
    for (let i = 0; i < num; i++) {
        const randomPoz = Math.floor(Math.random() * library.length);
        key += library.substring(randomPoz, randomPoz + 1);
    }
    return key;
}
